package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.common.page.QueryInfo;

public class ClassGroupQueryInfo extends QueryInfo {
	
	@ApiModelProperty(value = "班级编号", required = false)
	private Integer id;

	@ApiModelProperty(value = "课程组编号", required = false)
    private String musicGroupId;
    
	@ApiModelProperty(value = "班级类型(普通班级、合奏班级、提高课班级、VIP班级、试听课)", required = false)
    private ClassGroupTypeEnum type;
    
	@ApiModelProperty(value = "课程组类型（MUSIC、VIP、DEMO、PRACTICE、COMM、REPAIR）", required = true)
    private GroupType groupType;
    
    @ApiModelProperty(value = "班级名称", required = false)
    private String name;

    @ApiModelProperty(value = "分部", required = false)
    private String organIdList;
    
    private Integer delFlag;

	public String getOrganIdList() {
		return organIdList;
	}

	public void setOrganIdList(String organIdList) {
		this.organIdList = organIdList;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public ClassGroupTypeEnum getType() {
		return type;
	}

	public void setType(ClassGroupTypeEnum type) {
		this.type = type;
	}

	public GroupType getGroupType() {
		return groupType;
	}

	public void setGroupType(GroupType groupType) {
		this.groupType = groupType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}
}
